/* ########## 3.21 Reboot ########## */
a {
  @include transition($transition-base);
  color: $gray-dark;

  &:hover,
  &:focus { text-decoration: none; }

  &:active,
  &:focus { outline: none; }

  &.u-fg--info:hover,
  &.u-fg--info:focus {
    color: darken($brand-info, 5%) !important;
  }

  &.u-fg--primary:hover,
  &.u-fg--primary:focus {
    color: darken($brand-primary, 5%) !important;
  }

  &.u-fg--success:hover,
  &.u-fg--success:focus {
    color: darken($brand-success, 5%) !important;
  }

  &.u-fg--warning:hover,
  &.u-fg--warning:focus {
    color: darken($brand-warning, 5%) !important;
  }

  &.u-fg--danger:hover,
  &.u-fg--danger:focus {
    color: darken($brand-danger, 5%) !important;
  }

  &.u-fg--white:hover,
  &.u-fg--white:focus {
    opacity: .75 !important;
    color: #fff !important;
  }

  &.u-fg--yellow:hover,
  &.u-fg--yellow:focus {
    color: darken($color-yellow, 10%) !important;
  }

  &.u-fg--gray-dark:hover,
  &.u-fg--gray-dark:focus {
    color: $brand-primary!important;
  }

  &.u-fg--gray:hover,
  &.u-fg--gray:focus {
    color: $gray-dark !important;
  }

  &.hover-primary:hover,
  &.hover-primary:focus {
    color: $brand-primary !important;
  }

  &.hover-success:hover,
  &.hover-success:focus {
    color: $brand-success !important;
  }

  &.hover-warning:hover,
  &.hover-warning:focus {
    color: $brand-warning !important;
  }

  &.hover-danger:hover,
  &.hover-danger:focus {
    color: $brand-danger !important;
  }

  &.hover-inverse:hover,
  &.hover-inverse:focus {
    color: $gray !important;
  }

  &.hover-info:hover,
  &.hover-info:focus {
    color: $brand-info !important;
  }

  &.hover-indigo:hover,
  &.hover-indigo:focus {
    color: $color-indigo !important;
  }

  &.hover-gray-dark:hover,
  &.hover-gray-dark:focus {
    color: $gray-dark !important;
  }

  &.hover-white:hover,
  &.hover-white:focus {
    color: $white !important;
  }

  &.hover-yellow:hover,
  &.hover-yellow:focus {
    color: $color-yellow !important;
  }

  &.hover-teal:hover,
  &.hover-teal:focus {
    color: $color-teal !important;
  }

  &.hover-pink:hover,
  &.hover-pink:focus {
    color: $color-pink !important;
  }

  &.hover-gray:hover,
  &.hover-gray:focus {
    color: $gray-dark !important;
  }

  &.hover-op-1:hover,
  &.hover-op-1:focus {
    opacity: .33 !important;
  }

  &.hover-op-2:hover,
  &.hover-op-2:focus {
    opacity: .66 !important;
  }

  &.hover-op-3:hover,
  &.hover-op-3:focus {
    opacity: .9 !important;
  }

  &.link-uppercase-sm {
    text-transform: uppercase;
    font-size: $font-size-xs;
    font-weight: 500;
    letter-spacing: .5;
  }
}

small { font-size: $font-size-xs; }
strong { font-weight: 600; }
figure { margin-bottom: 0; }
